<div class="p-grid center-container">
  <ng-container *ngIf="currencyBidsAreAvailable()">
    <div class="p-col-6">
      <app-control-change-data [controlName]="'minBid'"
                               [controlType]="'PRICE'"
                               [errorKeys]="['required']"
                               [labelValue]="'Min Bid:'"
                               [parentForm]="formGroup">
      </app-control-change-data>
    </div>
  </ng-container>
  <div class="p-col-6">
    <app-control-change-data *ngIf="this.createAuctionImp.showMaxBid"
                             [controlName]="'maxBid'"
                             [controlType]="'MIN_MAX_PRICE'"
                             [errorKeys]="['required']"
                             [labelValue]="'Max Bid:'"
                             [minPrice]="formGroup.get('minBid').value"
                             [parentForm]="formGroup">
    </app-control-change-data>
  </div>
  <div class="p-col-6">
    <ng-container *ngIf="currencyBidsAreAvailable()">
      <app-control-change-data [controlName]="'isMaxBid'"
                               [controlType]="'BOOLEAN'"
                               [errorKeys]="['required']"
                               [labelValue]="'Is max bid:'"
                               [parentForm]="formGroup">
      </app-control-change-data>
    </ng-container>
  </div>

  <div class="p-col-6">
    <ng-container *ngIf="currencyBidsAreAvailable()">
      <app-control-change-data [controlName]="'bidCurrency'"
                               [controlType]="'OPTION'"
                               [errorKeys]="['required']"
                               [labelValue]="'Currency:'"
                               [optionsToSelect]="bidCurrencyOptions"
                               [parentForm]="formGroup">
      </app-control-change-data>
    </ng-container>
  </div>
</div>
